Bug 123048 - Add option so that JSC will crash if it can't allocate executable memory for the JITs
Summary: Add option so that JSC will crash if it can't allocate executable memory for ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-10-18 16:26 PDT by Daniel Bates
Modified: 2013-10-21 08:39 PDT (History)
4 users (show)

See Also:


Attachments
Patch (4.24 KB, patch)
2013-10-18 16:30 PDT, Daniel Bates
ggaren: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2013-10-18 16:26:10 PDT
Add an option to JSC, called crashIfCantAllocateJITMemory. If enabled and the operating system fails to provide executable memory then we will explicitly cause a crash to make it straightforward to identify the lack of availability of executable memory.
Comment 1 Daniel Bates 2013-10-18 16:30:38 PDT
Created attachment 214615 [details]
Patch

This patch only enables crashIfCantAllocateJITMemory on iOS for the jsc app.
Comment 2 Geoffrey Garen 2013-10-19 13:02:22 PDT
Comment on attachment 214615 [details]
Patch

r=me

Is this an upstreaming patch, or do you need it for something else?
Comment 3 Daniel Bates 2013-10-21 08:33:59 PDT
(In reply to comment #2)
> Is this an upstreaming patch, or do you need it for something else?

This is an upstreaming patch.
Comment 4 Daniel Bates 2013-10-21 08:38:17 PDT
<rdar://problem/12856193>
Comment 5 Daniel Bates 2013-10-21 08:39:30 PDT
Committed r157719: <http://trac.webkit.org/changeset/157719>